Bug 1352538 - (zendframework/zend-expressive-helpers) Review Request: php-zendframework-zend-expressive-helpers - Helper/Utility classes for Expressive
Review Request: php-zendframework-zend-expressive-helpers - Helper/Utility cl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: zendframework/zend-expressive-router
Blocks: zendframework/zend-expressive-zendviewre zendframework/zend-expressive-platesrend zendframework/zend-expressive-twigrender 1357393
  Show dependency treegraph
 
Reported: 2016-07-04 06:01 EDT by Remi Collet
Modified: 2016-07-30 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-30 14:25:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (8.43 KB, text/plain)
2016-07-19 04:54 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (5.45 KB, text/plain)
2016-07-19 04:55 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.54 KB, text/plain)
2016-07-19 04:55 EDT, Shawn Iwinski
no flags Details

  None (edit)
Comment 1 Shawn Iwinski 2016-07-19 04:54 EDT
Created attachment 1181519 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST
Comment 2 Shawn Iwinski 2016-07-19 04:55 EDT
Created attachment 1181521 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST
Comment 3 Shawn Iwinski 2016-07-19 04:55 EDT
Created attachment 1181522 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1352538
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2016-07-19 04:57:34 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



[!]: Requires correct, justified where necessary.

     Should be:
         Requires:       php-composer(container-interop/container-interop) >= 1.1
     instead of:
         Requires:       php-composer(container-interop/container-interop) >= 1.0

     Should be:
         Suggests:       php-composer(aura/di)
     instead of:
         Suggests:       php-composer(%{gh_owner}/aura/di)

Minor updates that can be changed after initial import



No blockers

===== APPROVED =====
Comment 5 Remi Collet 2016-07-19 05:10:18 EDT
Thanks!

Will fix the requires/suggest on import

Request for new package open.
Comment 6 Gwyn Ciesla 2016-07-19 11:36:12 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-expressive-helpers
Comment 7 Fedora Update System 2016-07-20 03:01:09 EDT
php-zendframework-zend-expressive-1.0.0-2.fc24 php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24 php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24 php-zendframework-zend-expressive-helpers-2.0.0-1.fc24 php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24 php-zendframework-zend-expressive-router-1.2.0-2.fc24 php-zendframework-zend-expressive-template-1.0.3-2.fc24 php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24 php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24 php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24 php-zendframework-zend-stratigility-1.2.1-2.fc24 php-aura-router-2.3.0-1.fc24 php-aura-di-2.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-715702a930
Comment 8 Fedora Update System 2016-07-21 00:21:50 EDT
php-aura-di-2.2.4-1.fc24, php-aura-router-2.3.0-1.fc24, php-zendframework-zend-expressive-1.0.0-2.fc24, php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24, php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24, php-zendframework-zend-expressive-helpers-2.0.0-1.fc24, php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24, php-zendframework-zend-expressive-router-1.2.0-2.fc24, php-zendframework-zend-expressive-template-1.0.3-2.fc24, php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24, php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24, php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24, php-zendframework-zend-stratigility-1.2.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-715702a930
Comment 9 Fedora Update System 2016-07-30 14:24:30 EDT
php-aura-di-2.2.4-1.fc24, php-aura-router-2.3.0-1.fc24, php-zendframework-zend-expressive-1.0.0-2.fc24, php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24, php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24, php-zendframework-zend-expressive-helpers-2.0.0-1.fc24, php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24, php-zendframework-zend-expressive-router-1.2.0-2.fc24, php-zendframework-zend-expressive-template-1.0.3-2.fc24, php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24, php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24, php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24, php-zendframework-zend-stratigility-1.2.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.